import llm

from llm_deep_research.genai_processors import (
    GenAIProcessorsAsyncResearch,
    GenAIProcessorsResearch,
)


@llm.hookimpl
def register_models(register):
    register(GenAIProcessorsResearch(), GenAIProcessorsAsyncResearch())
